Bug 497652 - after saving image eog jumps to the first image
after saving image eog jumps to the first image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 14:29 EDT by Vladimir Kotal
Modified: 2009-12-18 04:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:21:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Kotal 2009-04-25 14:29:03 EDT
Description of problem:
I hit this problem every time I download photos from the camera and go through them in eog, rotating thoseč photos which needed it. I start with the first image and proceed by clicking on the right arrow and occassionally rotate and save. However, after rotate+save, right arrow jumps to the first image in the folder which is annoying because I have to start from scratch.

Version-Release number of selected component (if applicable):
eog-2.24.3.1-1.fc10.i386

How reproducible:
By going through the images in a directory via right arrow and saving.

Steps to Reproduce:
1. Open a directory containing number of images in Nautilus
2. Open the first image in the directory in eog
3. Go through couple of the images by clicking on the right arrow
4. Rotate an image and save it (Ctrl+S)
5. Click on the right arrow
  
Actual results:
jumps to the first image in the directory

Expected results:
should jump to the next picture in the directory listing (as if no rotate+save happened)

Additional info:
Comment 1 Vladimir Kotal 2009-04-25 14:33:58 EDT
This does not happen every time. It might be related to the fact that Nautilus re-generates the thumbnail after save. It seems to me that when I click on the right arrow while the thumbnail processing is in progress eog can jump to the first image in the directory more likely.
Comment 2 Bug Zapper 2009-11-18 06:51:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:21:38 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.